services:
    _defaults:
        tags: [security.voter]

    Claroline\CursusBundle\Security\Voter\CourseVoter:
        parent: Claroline\AppBundle\Security\Voter\AbstractVoter

    Claroline\CursusBundle\Security\Voter\SessionVoter:
        parent: Claroline\AppBundle\Security\Voter\AbstractVoter

    Claroline\CursusBundle\Security\Voter\EventVoter:
        parent: Claroline\AppBundle\Security\Voter\AbstractVoter

    # Registrations
    Claroline\CursusBundle\Security\Voter\Registration\CourseUserVoter:
        parent: Claroline\AppBundle\Security\Voter\AbstractVoter

    Claroline\CursusBundle\Security\Voter\Registration\SessionUserVoter:
        parent: Claroline\AppBundle\Security\Voter\AbstractVoter

    Claroline\CursusBundle\Security\Voter\Registration\SessionGroupVoter:
        parent: Claroline\AppBundle\Security\Voter\AbstractVoter
